package cn.com.ty.lift.batch.applet.controller;

import cn.com.ty.lift.batch.applet.dao.model.request.AnnualInspectionDataRequest;
import cn.com.ty.lift.batch.applet.service.AnnualInspectionDataService;
import cn.com.xwy.boot.web.dto.RestResponse;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @author huangyuan
 * @date 2020/2/3
 * @description 小程序年检数据统计
 */
@RestController
@RequestMapping("/applet/annual")
public class AnnualInspectionDataStatisticsController {
    @Resource
    private AnnualInspectionDataService annualInspectionDataService;

    /**
     * @param
     * @return
     * @description 年检总览
     * @date 2020/2/5 4:05 下午
     */
    @RequestMapping("/annualOverView")
    public RestResponse annualOverView(@RequestBody AnnualInspectionDataRequest annualInspectionDataRequest) {
        return annualInspectionDataService.annualOverView(annualInspectionDataRequest);
    }

    /**
     * @param
     * @return
     * @description 年检项目
     * @date 2020/2/5 4:10 下午
     */
    @RequestMapping("/annualProgress")
    public RestResponse annualProgress(@RequestBody AnnualInspectionDataRequest annualInspectionDataRequest) {
        return annualInspectionDataService.annualProgress(annualInspectionDataRequest);
    }

    /**
     * @param annualInspectionDataRequest 请求数据
     * @return 年检数据
     * @description 获取项目下年检电梯的信息
     * @date 2020/5/23 10:10 上午
     */
    @RequestMapping("/liftAnnualInfo")
    public RestResponse liftAnnualInfo(@RequestBody AnnualInspectionDataRequest annualInspectionDataRequest) {
        return annualInspectionDataService.liftAnnualInfo(annualInspectionDataRequest);
    }

}
