package cn.com.ty.lift.business.project.dao.entity;

import cn.com.ty.lift.business.common.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDate;
import java.util.Date;

/**
 * 实体类 - 表：project_lift_relevance
 * @author bieao
 * @since 2019-12-05 10:18:21
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProjectLiftRelevance extends BaseEntity {

    /**
     * 主键ID
     */
    @TableId(value = "id",type = IdType.ID_WORKER)
    private Long id;

    /**
     * 项目ID
     */
    private Long projectId;

    /**
     * 电梯ID
     */
    private Long liftId;

    /**
     * 关联ID
     */
    private Long relevanceId;

    /**
     * 维保工id
     */
    private Long workerId;

    /**
     * 公司id
     */
    private Long mtCompanyId;

    /**
     * 是否锁定 0否 1是
     */
    private Integer liftLocked;

    /**
     * 首保时间
     */
    private LocalDate firstTime;
    /**
     * 停保日期
     */
    private LocalDate outServiceDate;
    /**
     * 临时停梯时间
     */
    private LocalDate stopDate;
    /**
     * 维保间隔
     */
    private Integer planInterval;

    /**
     * 是否删除 0否 1是
     */
    private Integer deleteFlag;
}