package cn.com.ty.lift.business.project.dao.entity.model.response;

import lombok.Data;

/**
 * @author bieao
 * @date 2019/11/29
 * @description 项目管理列表返回体
 */
@Data
public class ProjectResponse {
    /**
     * 项目ID
     */
    private Long id;
    /**
     * 项目编号
     */
    private String projectCode;
    /**
     * 项目名称
     */
    private String projectName;
    /**
     * 省
     */
    private String province;
    /**
     * 市
     */
    private String city;
    /**
     * 区
     */
    private String district;
    /**
     * 区编码
     */
    private String districtCode;
    /**
     * 台量
     */
    private int num;
    /**
     * 系统台量（实际台量）
     */
    private int actualNum;
    /**
     * 项目地址
     */
    private String address;
    /**
     * 项目用途
     */
    private Integer projectUsage;
    /**
     * 区域名称
     */
    private String regionName;
    /**
     * 区域id
     */
    private String regionId;
    /**
     * 区域主管
     */
    private String userName;
    /**
     * 甲方公司id
     */
    private String ppCompanyId;
    /**
     * 甲方联系人id
     */
    private String ppContactId;
    /**
     * 开始时间
     */
    private String startDate;
    /**
     * 结束时间
     */
    private String endDate;

    /**
     * 甲方公司名称
     */
    private String companyName;

    /**
     * 联系人姓名
     */
    private String contactName;
    /**
     * 联系人电话
     */
    private String contactTelephone;
    /**
     * 是否保存
     */
    private Integer save;

    /**
     * 是否锁定
     */
    private Integer locked;

    /**
     * 项目状态 （1:未开始,2:服务中,3:停止,4:逾期）
     */
    private String projectStatus;

    /**
     * 是否有合同 （1:有,0:无）
     */
    private String existContract;
}
