package cn.com.ty.lift.system.settings.dao.entity.model;

import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author huangyuan
 * @date 2019-12-12
 * @description
 */
@Data
public class CompanyAttestationRequest {
    /**
     * 审核id
     */
    private Long id;
    /**
     * 团队编号
     */
    private Long mtCompanyId;
    /**
     * 查找团队id
     */
    private Long queryCompanyId;
    /**
     * 用户id
     */
    private Long userId;

    /**
     * 查询字段
     */
    private String queryCondition;

    /**
     * 当前用户id
     */
    private Long currentUserId;
    /**
     * 公司名称
     */
    private String attestationName;

    /**
     * 联系人名称
     */
    private String contactsName;

    /**
     * 联系人电话
     */
    private String contactsTel;


    /**
     * 认证反馈信息
     */
    private String checkFeedBack;

    /**
     * 企业营业执照
     */
    private String businessLicenseAnnex;

    /**
     * 资质证书
     */
    private String taxRegistration;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 创建用户
     */
    private String createUser;

    /**
     * 团队logo
     */
    private String logoImg;

    /**
     * 来源类型   '1：认证 2：认领 3：申诉'
     */
    private Integer sourceType;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 分配菜单id串,通过","连接
     */
    private String menuIds;

    /**
     * 企业电梯台量
     */
    private Integer limitedNum;

    /**
     * vip标识:0:否，1:是
     */
    private Integer vipFlag;

    /**
     * 认证反馈信息
     */
    private String check_feed_back;

    /**
     * 认证处理时间
     */
    private String deal_time;

    /**
     * 客户经理id
     */
    private Long customerManagerId;

    /**
     * 认证状态 0 未认证 1 已认证 2 审核中 3 认证失败
     */
    private Integer isCertificated;

    /**
     * 默认分配标识 0 默认分配 1 手动分配
     * 默认值 默认分配方式
     */
    private int defaultAssign = 0;

    /**
     * 每页的条数
     */
    private Long pageSize;

    /**
     * 页数
     */
    private Long pageNum;
}
